Subject: [Bitcoin-development] Standard public key base58-check address prefix?

From: Nadav Ivgi <[email-masked]>
Date: Fri, 21 Jun 2013 23:15:55 +0300

I'm working on a project that requires users to exchange public keys (for
multisig transactions).

It seems that hex encoding is usually used to display public keys (i.e. in
bitaddress and brainwallet), which results in longer strings and lacks the
4-bytes verification.

A standard way to encode public keys as base58-check addresses would make
it easier and safer to display and exchange public keys. All that is really
needed is deciding on a prefix byte.

Perhaps we can use 0x37/0x38, which results in the letter P (for "Public")?
It seems like those bytes aren't used for anything yet.

Thanks,
Nadav